cURL
curl --request GET \
--url https://api.diversion.dev/v0/repos/{repo_id}/commits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/commits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/commits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "Commit",
"items": [
{
"commit_id": "example_id",
"created_ts": 123,
"branch_id": "<string>",
"author": {
"id": "<string>",
"image": "<string>",
"email": "jsmith@example.com",
"full_name": "<string>",
"name": "<string>"
},
"parents": [
"<string>"
],
"commit_message": "<string>"
}
]
}{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}Repository Commit Manipulation
List commits
Get a list of commits. (Executed on secondary shard)
GET
/
repos
/
{repo_id}
/
commits
cURL
Authorizations
OAuth2OAuth2
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Query Parameters
If specified, filters commit list to start with specified ref IDs (branches, workspaces etc.), otherwise return commits accessible from all branches.
Limit the number or items returned from a listing api
Required range:
x >= 1Example:
17
Skip a number of items returned from a listing api
Required range:
x >= 0Example:
17
A string query to filter against in a listing api
Required string length:
3 - 64Example:
"foo"

